%define pypi_name setuptools-rust

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        %mkrel 2
Summary:        Setuptools Rust extension plugin
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/setuptools-rust/
Source0:        %{pypi_source}
Patch1:         setuptools-rust-reqs.patch
BuildArch:      noarch
ExclusiveArch:  %{rust_arches}

BuildRequires:  python3-devel
BuildRequires:  rust-packaging >= 1.45

%description
Setuptools helpers for Rust Python extensions. Compile and distribute Python
extensions written in Rust as easily as if they were written in C.

%package -n     python3-setuptools-rust
Summary:        %{summary}
Requires:       rust-packaging >= 1.45

%description -n python3-setuptools-rust
Setuptools helpers for Rust Python extensions. Compile and distribute Python
extensions written in Rust as easily as if they were written in C.

%prep
%autosetup -n setuptools-rust-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files setuptools_rust

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    %{__python3} -c "from setuptools_rust import RustExtension, version"

%files -n python3-setuptools-rust -f %{pyproject_files}
%doc README.md CHANGELOG.md
%license LICENSE


%changelog
* Thu Dec 07 2023 wally <wally> 1.8.1-2.mga10
+ Revision: 2015172
- rebuild for py3.12

* Mon Nov 27 2023 wally <wally> 1.8.1-1.mga10
+ Revision: 2010205
- new version 1.8.1
- use pyproject rpm macros

* Tue Nov 15 2022 guillomovitch <guillomovitch> 1.5.2-1.mga9
+ Revision: 1907792
- new version 1.5.2

* Mon Apr 04 2022 guillomovitch <guillomovitch> 1.2.0-1.mga9
+ Revision: 1843813
- new version 1.2.0

* Wed Mar 30 2022 umeabot <umeabot> 1.1.2-3.mga9
+ Revision: 1833784
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.1.2-2.mga9
+ Revision: 1772454
- rebuild for python3.10

* Sun Dec 12 2021 guillomovitch <guillomovitch> 1.1.2-1.mga9
+ Revision: 1761631
- new version 1.1.2

* Sun Nov 28 2021 guillomovitch <guillomovitch> 1.0.0-1.mga9
+ Revision: 1759790
- new version 1.0.0

* Mon Mar 22 2021 guillomovitch <guillomovitch> 0.12.1-1.mga9
+ Revision: 1707946
- new version 0.12.1

* Thu Mar 18 2021 neoclust <neoclust> 0.12.0-2.mga9
+ Revision: 1704489
- Rebuild against python 3.9

* Wed Mar 10 2021 guillomovitch <guillomovitch> 0.12.0-1.mga9
+ Revision: 1701189
- new version 0.12.0

* Fri Feb 26 2021 guillomovitch <guillomovitch> 0.11.6-1.mga9
+ Revision: 1692359
- imported package python-setuptools-rust

